org.jboss.resteasy.plugins.providers.jaxb.fastinfoset

## Class FastinfoSetJAXBContextFinder

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder
  - - org.jboss.resteasy.plugins.providers.jaxb.XmlJAXBContextFinder
    - - org.jboss.resteasy.plugins.providers.jaxb.fastinfoset.FastinfoSetJAXBContextFinder

- All Implemented Interfaces:
    ContextResolver<JAXBContextFinder>, JAXBContextFinder

      @Provider
      @Consumes(value="application/*+fastinfoset")
      @Produces(value="application/*+fastinfoset")
      public class FastinfoSetJAXBContextFinder
      extends XmlJAXBContextFinder
      implements ContextResolver<JAXBContextFinder>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

      `AbstractJAXBContextFinder.CacheKey`

  - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

      `OBJECT_FACTORY_NAME, providers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastinfoSetJAXBContextFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JAXBContext` | `createContextObject(Annotation[] annotations, Class... classes)`
    `protected JAXBContext` | `createContextObject(Annotation[] annotations, String contextPath)`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.XmlJAXBContextFinder

      `findCacheContext, findCachedContext, findCacheXmlTypeContext`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.jaxb.AbstractJAXBContextFinder

      `createContext, createXmlTypeContext, findDefaultObjectFactoryClass, findProvidedJAXBContext, getContext, getPackageName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.ws.rs.ext.ContextResolver

      `getContext`

- - ### Constructor Detail

    - #### FastinfoSetJAXBContextFinder

          public FastinfoSetJAXBContextFinder()

  - ### Method Detail

    - #### createContextObject

          protected JAXBContext createContextObject(Annotation[] annotations,
                                        Class... classes)
                                             throws JAXBException

      Overrides:
        `createContextObject` in class `XmlJAXBContextFinder`
      Throws:
        `JAXBException`

    - #### createContextObject

          protected JAXBContext createContextObject(Annotation[] annotations,
                                        String contextPath)
                                             throws JAXBException

      Overrides:
        `createContextObject` in class `XmlJAXBContextFinder`
      Throws:
        `JAXBException`

Copyright © 2014. All Rights Reserved.